std::experimental::pmr::null_memory_resource(3)

NAME
std::experimental::pmr::null_memory_resource - std::experimental::pmr::null_memory_resource

Synopsis
   Defined in header <experimental/memory_resource>
   memory_resource* null_memory_resource() noexcept; (library fundamentals TS)
   Returns a pointer to a memory_resource that doesn't perform any allocation.

Return value
   Returns a pointer p to a static storage duration object of a type derived from
   std::experimental::pmr::memory_resource, with the following properties:
     * its allocate() function always throws std::bad_alloc;
     * its deallocate() function has no effect;
     * for any memory_resource r, p->is_equal(r) returns &r == p.
   The same value is returned every time this function is called.